# Class: httpdchainingarrows
# ===========================
#
# Full description of class httpdchainingarrows here.
#
# Parameters
# ----------
#
# Document parameters here.
#
# * `sample parameter`
# Explanation of what this parameter affects and what it defaults to.
# e.g. "Specify one or more upstream ntp servers as an array."
#
# Variables
# ----------
#
# Here you should define a list of variables that this module would require.
#
# * `sample variable`
#  Explanation of how this variable affects the function of this class and if
#  it has a default. e.g. "The parameter enc_ntp_servers must be set by the
#  External Node Classifier as a comma separated list of hostnames." (Note,
#  global variables should be avoided in favor of class parameters as
#  of Puppet 2.6.)
#
# Examples
# --------
#
# @example
#    class { 'httpdchainingarrows':
#      servers => [ 'pool.ntp.org', 'ntp.local.company.com' ],
#    }
#
# Authors
# -------
#
# Author Name <author@domain.com>
#
# Copyright
# ---------
#
# Copyright 2017 Your name here, unless otherwise noted.
#
class httpdchainingarrows {

 notify{"Welcome any puppet agent": }


#USING SELECTORS
 $package_name = $::os[name] ? {
      'Ubuntu' => "apache2",
   /(RedHat|CentOS)/ => "httpd",
      default => "httpd",
 }
  Package['apachehttpd'] -> Exec['Configuration']
  Exec['Configuration'] ~> Service['apachehttpd']

  package{"apachehttpd":
    name => "$package_name",
    ensure => present,
  }
  service {"apachehttpd":
    name => "$package_name",
    ensure => running,
    enable => true,
  }
  file{"/var/www/html/index.html":
    ensure => file,
    content => "<h1>Welcome to the web page deployed for chaining arrow dependencies /h1>\n",
    mode => "0644",
#    require => Package["$package_name"],
  }
  exec {"Configuration":
    command => "sed -i 's/^Listen.*$/Listen 8080/g' /etc/httpd/conf/httpd.conf",
    path => "/bin",
#    require => Package["httpd"],
#        notify => Service["httpd"],
  }
}
